#!/bin/bash

####################################################################################################
# Uninstallation script for FireScope Agent for Linux
####################################################################################################

####################################################################################################
# Variables
####################################################################################################
FSMUSER="FSMUSER"
FSMGROUP="FSMUSER"
FSUSER="firescop"
FSGROUP="firescop"
INSTALLDIR=INSTALLDIR
INIT=INIT
OSTYPE=`echo $OSTYPE`

####################################################################################################
# Stop all FireScope processes
####################################################################################################
service flex_agent stop
service flex_agent_manager stop
#kill -9 `pidof flex_agent`
#kill -9 `pidof flex_agent_manager`


####################################################################################################
# Remove fsuser from operating system
####################################################################################################
userdel $FSUSER 2>/dev/null
groupdel $FSGROUP 2>/dev/null
userdel $FSMUSER 2>/dev/null
groupdel $FSMGROUP 2>/dev/null

####################################################################################################
# Remove FireScope files and folders
####################################################################################################

if [ $OSTYPE == "linux-gnu" ]; then 
	rm -f $INIT/../rc?.d/???flex_agent*
	rm -rf $INIT/flex_agent
	rm -rf $INIT/flex_agent_manager
	rm -rf $INSTALLDIR/agent
	rm -rf $INSTALLDIR/agent_manager
elif [ $OSTYPE == "linux" ]; then 
	rm -f $INIT/rc?.d/???flex_agent*
	rm -rf $INIT/flex_agent
	rm -rf $INIT/flex_agent_manager
	rm -rf $INSTALLDIR/agent
	rm -rf $INSTALLDIR/agent_manager
	insserv -r flex_agent
	insserv -r flex_agent_manager
fi

# If there are no more files or directories in the firescope directory, then remove it, else leave it
ISEMPTY="0"
shopt -s nullglob dotglob
files=(*)
(( ${#files[*]} )) || ISEMPTY="1"
shopt -u nullglob dotglob

if [ "$ISEMPTY" == "1" ]; then
	rm -rf $INSTALLDIR
	echo "FireScope Agent has been removed."
else
	echo "FireScope Agent has been removed, however other files remain in $INSTALLDIR."
fi

####################################################################################################
# DONE
####################################################################################################
