#!/usr/bin/ksh

####################################################################################################
# Uninstallation script for FireScope Agent for HPUX
####################################################################################################

####################################################################################################
# Variables
####################################################################################################
FSUSER="firescop"
FSGROUP="firescop"
INSTALLDIR=INSTALLDIR
INIT=INIT
INIT_DEST0="/sbin/rc0.d"
INIT_DEST1="/sbin/rc1.d"
INIT_DEST2="/sbin/rc2.d"
INIT_DEST3="/sbin/rc3.d"
INIT_DEST4="/sbin/rc4.d"

WHOAMI=`id | cut -d "(" -f2 | cut -d ")" -f1`
UNINSTALLERLOG="/var/tmp/firescope_agent_uninstall.log"
echo "\033[40m\033[40;33m" #sets back gound to black
####################################################################################################
#Check if user is root
####################################################################################################
	echo "****************************Checking User Permission for Agent Uninstall***************************" >>$UNINSTALLERLOG
	if [ "${WHOAMI}" != "root" ]; then
		echo "Sorry, root required to uninstall agent."
		exit 1
	fi
####################################################################################################
#End Check if user is root
####################################################################################################
	####################################################################################################
	# Kill all FireScope processes
	####################################################################################################
	echo "****************************Stopping FireScope Services ***************************" >>$UNINSTALLERLOG
	echo "$INIT/flex_agent stop" >>$UNINSTALLERLOG
		sh $INIT/flex_agent stop >>$UNINSTALLERLOG
	echo "$INIT/flex_agent_manager stop" >>$UNINSTALLERLOG
		sh $INIT/flex_agent_manager stop >>$UNINSTALLERLOG
		sleep 5
	####################################################################################################
	# Remove FireScope files and folders
	####################################################################################################
	echo "****************************Removing FireScope Services ***************************" >>$UNINSTALLERLOG
		rm -f $INIT/flex_agent* >>$UNINSTALLERLOG
		rm -f $INIT/flex_agent_manager* >>$UNINSTALLERLOG
		rm -rf $INSTALLDIR >>$UNINSTALLERLOG

		rm -f $INIT_DEST0/*flex_agent*
		rm -f $INIT_DEST1/*flex_agent*
		rm -f $INIT_DEST2/*flex_agent*
		rm -f $INIT_DEST3/*flex_agent*
		rm -f $INIT_DEST4/*flex_agent*

		if [ -d ${INSTALLDIR} ]
		then
			rm -rf $INSTALLDIR >>$UNINSTALLERLOG
		fi
	####################################################################################################
	# Remove firescop from operating system
	####################################################################################################
	echo "****************************Removing FireScope Agent User and Group ***************************" >>$UNINSTALLERLOG
userdel $FSUSER
groupdel $FSGROUP
	echo "**************************** Uninstall Completed ***************************" >>$UNINSTALLERLOG
####################################################################################################
# DONE
####################################################################################################
echo "FireScope Agent for HPUX has been removed."
echo "\033[0m" # sets background back to default
exit 0
